> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Appointment Waitlist

> A `POST` to the `/appointment-waitlists` endpoint allows your application to create an appointment waitlist record.



## OpenAPI

````yaml post /v3/appointment-waitlists
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-waitlists:
    post:
      tags:
        - Appointment Waitlist
      summary: Add Appointment Waitlist
      description: >-
        A `POST` to the `/appointment-waitlists` endpoint allows your
        application to create an appointment waitlist record.
      operationId: appointment-waitlists.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreAppointmentWaitlist'
      responses:
        '201':
          description: '`AppointmentWaitlist`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentWaitlist'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreAppointmentWaitlist:
      type: object
      properties:
        appointment_definition_id:
          type: integer
        profile_id:
          type: string
        location_id:
          type: integer
        appointment_id:
          type:
            - integer
            - 'null'
        status:
          type: string
          enum:
            - active
            - fulfilled
            - cancelled
        desired_start_at:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - appointment_definition_id
        - profile_id
        - location_id
      title: StoreAppointmentWaitlist
    AppointmentWaitlist:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        profile_id:
          type: string
        profile:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        location_id:
          type: integer
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            timezone:
              type: string
          required:
            - id
            - name
            - handle
            - timezone
        appointment_id:
          type:
            - integer
            - 'null'
        status:
          type: string
        desired_start_at:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - profile_id
        - profile
        - location_id
        - location
        - appointment_id
        - status
        - desired_start_at
        - notes
        - meta
        - created_at
        - updated_at
      title: AppointmentWaitlist
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````